Entities\Galerie:
    type: entity
    table: galerie
    repositoryClass: Repositories\GalerieRepository
    id:
        id:
            type: integer
            generator:
                strategy: AUTO
    fields:
        title:
            type: string
            nullable: false
            length: 100
        description:
            type: text
            nullable: true
        date:
            type: string
            nullable: true
            length: 100
        address:
            type: string
            nullable: true
            length: 100
        display:
            type: boolean
        pos:
            type: integer
            nullable: true

    oneToOne:
        album:
            targetEntity: Entities\Album
            inversedBy: galerie
            joinColumn:
                name: album_id
                referencedColumnName: id

        image:
            targetEntity: Entities\Resource
            joinColumnName: img
            referencedColumnName: id
    lifecycleCallbacks: { }

